Tlhelp32.MODULEENTRY32W.ByReference (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Tlhelp32, class: MODULEENTRY32W, class: ByReference

Package com.sun.jna.platform.win32

# Class Tlhelp32.MODULEENTRY32W.ByReference

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Tlhelp32.MODULEENTRY32W
com.sun.jna.platform.win32.Tlhelp32.MODULEENTRY32W.ByReference

All Implemented Interfaces:
  `Structure.ByReference`

Enclosing class:
  Tlhelp32.MODULEENTRY32W

public static class Tlhelp32.MODULEENTRY32W.ByReference extends Tlhelp32.MODULEENTRY32W implements Structure.ByReference
A representation of a MODULEENTRY32 structure as a reference

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Tlhelp32.MODULEENTRY32W

  `Tlhelp32.MODULEENTRY32W.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.Tlhelp32.MODULEENTRY32W

  `dwSize, GlblcntUsage, hModule, modBaseAddr, modBaseSize, ProccntUsage, szExePath, szModule, th32ModuleID, th32ProcessID`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`
  `ByReference(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.Tlhelp32.MODULEENTRY32W

  `szExePath, szModule`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()

  - ### ByReference

    public ByReference(Pointer memory)